API referenceATLASi Forward Market
POST /api/ATLASi/ForwardMarket/UpdateRRAwards
Update DAM RR Awards
POST
/api/ATLASi/ForwardMarket/UpdateRRAwardscurl -X POST "/api/ATLASi/ForwardMarket/UpdateRRAwards" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"date": "2026-01-15",
"payload": [
{
"dispatchPeriod": 0,
"entityId": 0,
"entityName": "string",
"entityType": 1,
"value": 0
}
]
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.ATLASi.ForwardMarket.RRAwardsPostBody
Response
application/json
RR Awards updated successfully
successbooleanrecordCountinteger<int32>dataany
{
"success": true,
"recordCount": 0,
"data": null
}